openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Donald Woods (JIRA)" <j...@apache.org>
Subject [jira] Updated: (OPENJPA-1063) Create a new openjpa-all artifact to include runtime depends
Date Wed, 06 May 2009 14:46:30 GMT

     [ https://issues.apache.org/jira/browse/OPENJPA-1063?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Donald Woods updated OPENJPA-1063:
----------------------------------

    Affects Version/s: 1.0.3
                       1.1.0
                       1.2.1
        Fix Version/s: 1.3.0

> Create a new openjpa-all artifact to include runtime depends
> ------------------------------------------------------------
>
>                 Key: OPENJPA-1063
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-1063
>             Project: OpenJPA
>          Issue Type: Improvement
>          Components: build / infrastructure
>    Affects Versions: 1.0.3, 1.1.0, 1.2.1
>            Reporter: Donald Woods
>            Assignee: Donald Woods
>            Priority: Minor
>             Fix For: 1.3.0, 2.0.0
>
>         Attachments: OPENJPA-1063-13x.patch
>
>
> I've noticed several threads on the users list where we keep getting questions about
the runtime dependencies needed for OpenJPA and would like to use this JIRA to:
> 1) rename the current trunk/openjpa-all directory to trunk/openjpa to properly match
the OpenJPA aggregate artifact name of openjpa-${version}.jar used today.
> 2) create a new /trunk/openjpa-all/pom.xml which creates a OpenJPA + depends aggregate
artifact openjpa-all-${version}.jar, which users can grab if they want all of the runtime
dependencies (OpenJPA, Commons, Geronimo Specs and Serp).  This would not include any Derby,
ANT, Postgresql or IBM dependencies.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message